package com.ruoyi.ai.service;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.ai.domain.AiRecharge;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * 充值管理Service接口
 *
 * @author shi
 * @date 2025-11-13
 */
public interface IAiRechargeService {

    /**
     * 查询充值管理
     *
     * @param id 充值管理主键
     * @return 充值管理
     */
    AiRecharge selectAiRechargeById(Long id);

    /**
     * 查询充值管理列表
     *
     * @param aiRecharge 充值管理
     * @return 充值管理集合
     */
    List<AiRecharge> selectAiRechargeList(AiRecharge aiRecharge);

    /**
     * 分页查询充值管理列表
     *
     * @param aiRecharge 充值管理
     * @return 充值管理集合
     */
    IPage<AiRecharge> selectAiRechargePage(Page page, AiRecharge aiRecharge);

    /**
     * 新增充值管理
     *
     * @param aiRecharge 充值管理
     * @return 结果
     */
    int insertAiRecharge(AiRecharge aiRecharge);

    /**
     * 修改充值管理
     *
     * @param aiRecharge 充值管理
     * @return 结果
     */
    int updateAiRecharge(AiRecharge aiRecharge);

    /**
     * 批量删除充值管理
     *
     * @param ids 需要删除的充值管理主键集合
     * @return 结果
     */
    int deleteAiRechargeByIds(Long[] ids);

    /**
     * 删除充值管理信息
     *
     * @param id 充值管理主键
     * @return 结果
     */
    int deleteAiRechargeById(Long id);


    AiRecharge getAiRechargeByOrderNum(String orderno);

    BigDecimal getTotalAmount(AiRecharge aiRecharge);

    void addRecharge(String orderNo);

    List<AiRecharge> getAiRechargeList(AiRecharge aiRecharge);
}
